Hardware Locality (hwloc) 2.11.2

Functions
Helpers for consulting distance matrices

## Functions
static int | hwloc_distances_obj_index (struct hwloc_distances_s *distances, hwloc_obj_t obj)
static int | hwloc_distances_obj_pair_values (struct hwloc_distances_s *distances, hwloc_obj_t obj1, hwloc_obj_t obj2, hwloc_uint64_t *value1to2, hwloc_uint64_t *value2to1)

## Detailed Description

## Function Documentation

## ◆ hwloc_distances_obj_index()

static int hwloc_distances_obj_index | ( | struct hwloc_distances_s * | distances,
|  | hwloc_obj_t | obj
| ) |  |
| inline static

Find the index of an object in a distances structure.

Returns
  the index of the object in the distances structure if any.
  -1 if object `obj` is not involved in structure `distances`.

## ◆ hwloc_distances_obj_pair_values()

static int hwloc_distances_obj_pair_values | ( | struct hwloc_distances_s * | distances,
|  | hwloc_obj_t | obj1,
|  | hwloc_obj_t | obj2,
|  | hwloc_uint64_t * | value1to2,
|  | hwloc_uint64_t * | value2to1
| ) |  |
| inline static

Find the values between two objects in a distance matrices.

The distance from `obj1` to `obj2` is stored in the value pointed by `value1to2` and reciprocally.

Returns
  0 on success.
  -1 if object `obj1` or `obj2` is not involved in structure `distances`.